Skip to main content


Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » General (non-technical) » Eclipse Foundation » 【Help plz】I failed to install eclipse photon JavaEE on MacBook(when installing, i clicked a "decline" with the "remember my options" popup, and then I cannot install the Eclipse any more :()
【Help plz】I failed to install eclipse photon JavaEE on MacBook [message #1794699] Wed, 05 September 2018 05:32 Go to next message
Keyon Lee is currently offline Keyon LeeFriend
Messages: 1
Registered: September 2018
Junior Member
as the Topic Description said, when installing the Eclipse, i clicked a "decline" with the "remember my options" popup, and then the installing interrupted.
I tried to re-install my JDK, restart my mac and re-install my eclipse, but it doesn't work, the install program always interrupt at a certain place.

I don't know what to do now

here is my set-up log, I need your help T_T

[2018-09-05 13:19:06] Executing bootstrap tasks
[2018-09-05 13:19:06] Java(TM) SE Runtime Environment 10.0.2+13
[2018-09-05 13:19:06] Product org.eclipse.products.epp.package.jee.photon
[2018-09-05 13:19:06] Bundle org.eclipse.oomph.setup 1.9.0.v20180529-0916, build=3551, branch=5a7202105cdec0e9bc9553799ba330ea58714ce5
[2018-09-05 13:19:06] Bundle org.eclipse.oomph.setup.core 1.9.0.v20180529-0916, build=3551, branch=5a7202105cdec0e9bc9553799ba330ea58714ce5
[2018-09-05 13:19:06] Bundle org.eclipse.oomph.setup.p2 1.9.0.v20180529-0916, build=3551, branch=5a7202105cdec0e9bc9553799ba330ea58714ce5
[2018-09-05 13:19:06] Performing P2 Director (Eclipse IDE for Java EE Developers (Photon))
[2018-09-05 13:19:06] Offline = false
[2018-09-05 13:19:06] Mirrors = true
[2018-09-05 13:19:06] Resolving 91 requirements from 3 repositories to /Users/keyon/eclipse/jee-photon/Eclipse.app/Contents/Eclipse
[2018-09-05 13:19:06] Requirement epp.package.jee [4.8.0,4.9.0)
[2018-09-05 13:19:06] Requirement org.eclipse.platform.feature.group [4.8.0,4.9.0)
[2018-09-05 13:19:06] Requirement org.eclipse.rcp.feature.group [4.8.0,4.9.0)
[2018-09-05 13:19:06] Requirement org.eclipse.buildship.feature.group
[2018-09-05 13:19:06] Requirement org.eclipse.cft.server.core.feature.feature.group
[2018-09-05 13:19:06] Requirement org.eclipse.cft.server.ui.feature.feature.group
[2018-09-05 13:19:06] Requirement org.eclipse.datatools.common.doc.user.feature.group
[2018-09-05 13:19:06] Requirement org.eclipse.datatools.connectivity.doc.user.feature.group
[2018-09-05 13:19:06] Requirement org.eclipse.datatools.connectivity.feature.feature.group
[2018-09-05 13:19:06] Requirement org.eclipse.datatools.connectivity.oda.designer.core.feature.feature.group
[2018-09-05 13:19:06] Requirement org.eclipse.datatools.connectivity.oda.designer.feature.feature.group
[2018-09-05 13:19:06] Requirement org.eclipse.datatools.connectivity.oda.feature.feature.group
[2018-09-05 13:19:06] Requirement org.eclipse.datatools.doc.user.feature.group
[2018-09-05 13:19:06] Requirement org.eclipse.datatools.enablement.apache.derby.feature.feature.group
[2018-09-05 13:19:06] Requirement org.eclipse.datatools.enablement.feature.feature.group
[2018-09-05 13:19:06] Requirement org.eclipse.datatools.enablement.hsqldb.feature.feature.group
[2018-09-05 13:19:06] Requirement org.eclipse.datatools.enablement.ibm.feature.feature.group
[2018-09-05 13:19:06] Requirement org.eclipse.datatools.enablement.ingres.feature.feature.group
[2018-09-05 13:19:06] Requirement org.eclipse.datatools.enablement.jdbc.feature.feature.group
[2018-09-05 13:19:06] Requirement org.eclipse.datatools.enablement.jdt.feature.feature.group
[2018-09-05 13:19:06] Requirement org.eclipse.datatools.enablement.msft.feature.feature.group
[2018-09-05 13:19:06] Requirement org.eclipse.datatools.enablement.mysql.feature.feature.group
[2018-09-05 13:19:06] Requirement org.eclipse.datatools.enablement.oda.designer.feature.feature.group
[2018-09-05 13:19:06] Requirement org.eclipse.datatools.enablement.oda.feature.feature.group
[2018-09-05 13:19:06] Requirement org.eclipse.datatools.enablement.oracle.feature.feature.group
[2018-09-05 13:19:06] Requirement org.eclipse.datatools.enablement.postgresql.feature.feature.group
[2018-09-05 13:19:06] Requirement org.eclipse.datatools.enablement.sap.feature.feature.group
[2018-09-05 13:19:06] Requirement org.eclipse.datatools.enablement.sdk.feature.feature.group
[2018-09-05 13:19:06] Requirement org.eclipse.datatools.enablement.sqlite.feature.feature.group
[2018-09-05 13:19:06] Requirement org.eclipse.datatools.enablement.sybase.feature.feature.group
[2018-09-05 13:19:06] Requirement org.eclipse.datatools.intro.feature.group
[2018-09-05 13:19:06] Requirement org.eclipse.datatools.modelbase.feature.feature.group
[2018-09-05 13:19:06] Requirement org.eclipse.datatools.sdk.feature.feature.group
[2018-09-05 13:19:06] Requirement org.eclipse.datatools.sqldevtools.data.feature.feature.group
[2018-09-05 13:19:06] Requirement org.eclipse.datatools.sqldevtools.ddl.feature.feature.group
[2018-09-05 13:19:06] Requirement org.eclipse.datatools.sqldevtools.ddlgen.feature.feature.group
[2018-09-05 13:19:06] Requirement org.eclipse.datatools.sqldevtools.feature.feature.group
[2018-09-05 13:19:06] Requirement org.eclipse.datatools.sqldevtools.parsers.feature.feature.group
[2018-09-05 13:19:06] Requirement org.eclipse.datatools.sqldevtools.results.feature.feature.group
[2018-09-05 13:19:06] Requirement org.eclipse.datatools.sqldevtools.schemaobjecteditor.feature.feature.group
[2018-09-05 13:19:06] Requirement org.eclipse.datatools.sqldevtools.sqlbuilder.feature.feature.group
[2018-09-05 13:19:06] Requirement org.eclipse.datatools.sqltools.doc.user.feature.group
[2018-09-05 13:19:06] Requirement org.eclipse.eclemma.feature.feature.group
[2018-09-05 13:19:06] Requirement org.eclipse.egit.feature.group
[2018-09-05 13:19:06] Requirement org.eclipse.egit.mylyn.feature.group
[2018-09-05 13:19:06] Requirement org.eclipse.jdt.feature.group
[2018-09-05 13:19:06] Requirement org.eclipse.jpt.common.eclipselink.feature.feature.group
[2018-09-05 13:19:06] Requirement org.eclipse.jpt.common.feature.feature.group
[2018-09-05 13:19:06] Requirement org.eclipse.jpt.dbws.eclipselink.feature.feature.group
[2018-09-05 13:19:06] Requirement org.eclipse.jpt.jaxb.eclipselink.feature.feature.group
[2018-09-05 13:19:06] Requirement org.eclipse.jpt.jaxb.feature.feature.group
[2018-09-05 13:19:06] Requirement org.eclipse.jpt.jpa.eclipselink.feature.feature.group
[2018-09-05 13:19:06] Requirement org.eclipse.jpt.jpa.feature.feature.group
[2018-09-05 13:19:06] Requirement org.eclipse.jsf.feature.feature.group
[2018-09-05 13:19:06] Requirement org.eclipse.jst.common.fproj.enablement.jdt.feature.group
[2018-09-05 13:19:06] Requirement org.eclipse.jst.enterprise_ui.feature.feature.group
[2018-09-05 13:19:06] Requirement org.eclipse.jst.jsf.apache.trinidad.tagsupport.feature.feature.group
[2018-09-05 13:19:06] Requirement org.eclipse.jst.server_adapters.ext.feature.feature.group
[2018-09-05 13:19:06] Requirement org.eclipse.jst.server_adapters.feature.feature.group
[2018-09-05 13:19:06] Requirement org.eclipse.jst.server_ui.feature.feature.group
[2018-09-05 13:19:06] Requirement org.eclipse.jst.web_ui.feature.feature.group
[2018-09-05 13:19:06] Requirement org.eclipse.jst.webpageeditor.feature.feature.group
[2018-09-05 13:19:06] Requirement org.eclipse.jst.ws.axis2tools.feature.feature.group
[2018-09-05 13:19:06] Requirement org.eclipse.jst.ws.cxf.feature.feature.group
[2018-09-05 13:19:06] Requirement org.eclipse.jst.ws.jaxws.dom.feature.feature.group
[2018-09-05 13:19:06] Requirement org.eclipse.jst.ws.jaxws.feature.feature.group
[2018-09-05 13:19:06] Requirement org.eclipse.m2e.feature.feature.group
[2018-09-05 13:19:06] Requirement org.eclipse.m2e.logback.feature.feature.group
[2018-09-05 13:19:06] Requirement org.eclipse.m2e.wtp.feature.feature.group
[2018-09-05 13:19:06] Requirement org.eclipse.m2e.wtp.jaxrs.feature.feature.group
[2018-09-05 13:19:06] Requirement org.eclipse.m2e.wtp.jpa.feature.feature.group
[2018-09-05 13:19:06] Requirement org.eclipse.m2e.wtp.jsf.feature.feature.group
[2018-09-05 13:19:06] Requirement org.eclipse.mylyn.bugzilla_feature.feature.group
[2018-09-05 13:19:06] Requirement org.eclipse.mylyn.context_feature.feature.group
[2018-09-05 13:19:06] Requirement org.eclipse.mylyn.ide_feature.feature.group
[2018-09-05 13:19:06] Requirement org.eclipse.mylyn.java_feature.feature.group
[2018-09-05 13:19:06] Requirement org.eclipse.mylyn.wikitext_feature.feature.group
[2018-09-05 13:19:06] Requirement org.eclipse.mylyn_feature.feature.group
[2018-09-05 13:19:06] Requirement org.eclipse.pde.feature.group
[2018-09-05 13:19:06] Requirement org.eclipse.recommenders.mylyn.rcp.feature.feature.group
[2018-09-05 13:19:06] Requirement org.eclipse.recommenders.rcp.feature.feature.group
[2018-09-05 13:19:06] Requirement org.eclipse.tips.feature.feature.group
[2018-09-05 13:19:06] Requirement org.eclipse.tm.terminal.feature.feature.group
[2018-09-05 13:19:06] Requirement org.eclipse.wst.common.fproj.feature.group
[2018-09-05 13:19:06] Requirement org.eclipse.wst.jsdt.chromium.debug.feature.feature.group
[2018-09-05 13:19:06] Requirement org.eclipse.wst.jsdt.feature.feature.group
[2018-09-05 13:19:06] Requirement org.eclipse.wst.server_adapters.feature.feature.group
[2018-09-05 13:19:06] Requirement org.eclipse.wst.web_ui.feature.feature.group
[2018-09-05 13:19:06] Requirement org.eclipse.wst.xml_ui.feature.feature.group
[2018-09-05 13:19:06] Requirement org.eclipse.wst.xsl.feature.feature.group
[2018-09-05 13:19:06] Requirement org.eclipse.oomph.setup.feature.group
[2018-09-05 13:19:06] Repository http://download.eclipse.org/technology/epp/packages/photon
[2018-09-05 13:19:06] Repository http://download.eclipse.org/releases/photon/201806271001
[2018-09-05 13:19:06] Repository http://download.eclipse.org/oomph/updates/milestone/latest
[2018-09-05 13:19:10] Calculating requirements and dependencies.
[2018-09-05 13:19:12] Computing prerequisite plan
[2018-09-05 13:19:16] Collecting 3 artifacts from http://download.eclipse.org/releases/photon/201806271001
[2018-09-05 13:19:27] Downloading org.eclipse.platform_root
[2018-09-05 13:19:27] Downloading org.eclipse.rcp_root
[2018-09-05 13:19:27] Downloading org.eclipse.platform.ide.executable.cocoa.macosx.x86_64
[2018-09-05 13:19:27] Collected 3 artifacts for http://download.eclipse.org/releases/photon/201806271001 in 11.006s
[2018-09-05 13:19:27] Collecting 1 artifacts from http://download.eclipse.org/technology/epp/packages/photon
[2018-09-05 13:19:37] Downloading epp.package.jee.executable.cocoa.macosx.x86_64
[2018-09-05 13:19:37] Collected 1 artifacts for http://download.eclipse.org/technology/epp/packages/photon in 10.741s
[2018-09-05 13:19:41] The engine operation was cancelled and the changes are being rolled back.
[2018-09-05 13:19:41] 
Re: 【Help plz】I failed to install eclipse photon JavaEE on MacBook [message #1794757 is a reply to message #1794699] Thu, 06 September 2018 07:26 Go to previous message
Ed Merks is currently offline Ed MerksFriend
Messages: 29653
Registered: July 2009
Senior Member
If you decline a license (or unsigned content), it won't be able to install things with that license (or with unsigned content). And if you say "remember" then it will always decline, at least for unsigned content. What did you decline and why? These settings are remembered in ~/eclipse/org.eclipse.oomph.setup/setups/user.setup
Previous Topic:Integrating modified Eclipse code into RCP
Next Topic:How To Programming QT in "Eclipse for C++"
Goto Forum:
  


Current Time: Sun Nov 18 10:29:46 GMT 2018

Powered by FUDForum. Page generated in 0.01688 seconds
.:: Contact :: Home ::.

Powered by: FUDforum 3.0.2.
Copyright ©2001-2010 FUDforum Bulletin Board Software

Back to the top